#version 120

attribute vec4 mc_Entity;
attribute vec3 tanget;

uniform sampler2D texture;
uniform sampler2D normals;
uniform sampler2D specular;
uniform sampler2D lightmap;
varying vec4 texcoord;
varying vec4 lmcoord;
varying vec3 tangent;
varying vec3 normal;
varying vec3 binormal;
varying vec3 viewVector;
varying vec4 color;
varying float distance;
varying float iswater;
varying float sprite;
varying float test;
const int linear_steps = 18;
const int binary_steps = 6;
const float bump_distance = 60.0;
const float pom_distance = 30.0;
const float fademult = 0.1;
const float texinterval = 0.0625;
const float pom_depth = 0.1;
float pack(float m, float d){
   return clamp(ceil(m)/10 + clamp(d, 0.0, 0.9999f)*.1, 0.0, 0.99999f);
}
float fad(float val){
    return clamp(floor(val*100.0)*.01, 0.0, .99);
}
float lmp(vec2 lmc){
    return fad(lmc.s) + fad(lmc.t)*.01;
}

void main(){
  vec4 locposition = gl_ModelViewMatrix * gl_Vertex;
  distance = sqrt(locposition.x * locposition.x + locposition.y * locposition.y + locposition.z * locposition.z);
  color = gl_Color;
  texcoord = gl_TextureMatrix[0] * gl_MultiTexCoord0;
  lmcoord = gl_TextureMatrix[1] * gl_MultiTexCoord1;
  gl_Position = ftransform();
  gl_FogFragCoord = gl_Position.z;
  tangent = vec3(0.0);
  binormal = vec3(0.0);
  normal = normalize(gl_NormalMatrix * gl_Normal);
  if (gl_Normal.x > 0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3( 0.0,  0.0, -1.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0, -1.0,  0.0));
  } else if (gl_Normal.x < -0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3( 0.0,  0.0,  1.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0, -1.0,  0.0));
  } else if (gl_Normal.y > 0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3( 1.0,  0.0,  0.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0,  0.0,  1.0));
  } else if (gl_Normal.y < -0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3( 1.0,  0.0,  0.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0,  0.0,  1.0));
  } else if (gl_Normal.z > 0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3( 1.0,  0.0,  0.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0, -1.0,  0.0));
  } else if (gl_Normal.z < -0.5) {
    tangent  = normalize(gl_NormalMatrix * vec3(-1.0,  0.0,  0.0));
    binormal = normalize(gl_NormalMatrix * vec3( 0.0, -1.0,  0.0));
  }
  viewVector = (gl_ModelViewMatrix * gl_Vertex).xyz;  sprite = 0.0;
  if (mc_Entity.x == 27.0 || mc_Entity.x == 28.0 || mc_Entity.x == 30.0 || mc_Entity.x == 31.0 || mc_Entity.x == 32.0 || mc_Entity.x == 37.0 || mc_Entity.x == 38.0 || mc_Entity.x == 39.0 || mc_Entity.x == 40.0 || mc_Entity.x == 6.0 || mc_Entity.x == 50.0 || mc_Entity.x == 51.0 || mc_Entity.x == 52.0 || mc_Entity.x == 55.0 || mc_Entity.x == 59.0 || mc_Entity.x == 65.0 || mc_Entity.x == 66.0 || mc_Entity.x == 75.0 || mc_Entity.x == 76.0 || mc_Entity.x == 93.0 || mc_Entity.x == 94.0 || mc_Entity.x == 101.0 || mc_Entity.x == 102.0 || mc_Entity.x == 104.0 || mc_Entity.x == 105.0 || mc_Entity.x == 106.0 || mc_Entity.x == 111.0 || mc_Entity.x == 127.0 || mc_Entity.x == 132.0 || mc_Entity.x == 141.0 || mc_Entity.x == 142.0 || mc_Entity.x == 117.0 || mc_Entity.x == 10.0 || mc_Entity.x == 11.0 || mc_Entity.x == 26.0) {sprite = 1.0;} else {sprite = 0.0;}
  iswater = 0.0;
  if (mc_Entity.x == 9 || mc_Entity.x == 8) {iswater = 1.0;} else {iswater = 0.0;}
}